Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface InnerClassViewmap

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Viewmap

All Known Implementing Classes:
  InnerClassViewmapImpl

    public interface InnerClassViewmap

extends Viewmap

A representation of the model object 'Inner Class Viewmap'.

The following features are supported:

- `Class Name`
- `Class Body`

See Also:
  `GMFGenPackage.getInnerClassViewmap()`
** Generated **
Model:

Method Summary
`java.lang.String` `getClassBody()` Returns the value of the 'Class Body' attribute
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`void` `setClassBody(java.lang.String value)` Sets the value of the '`Class Body`' attribute
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Viewmap
`find, getAttributes, getLayoutType, getRequiredPluginIDs, setLayoutType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GMFGenPackage.getInnerClassViewmap_ClassName()`
  ** Generated **
  Model:

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`
  ** Generated **

### getClassBody

    java.lang.String getClassBody()

  Returns the value of the 'Class Body' attribute.

  If the meaning of the 'Class Body' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Body' attribute.
  See Also:
    `setClassBody(String)`, `GMFGenPackage.getInnerClassViewmap_ClassBody()`
  ** Generated **
  Model:

### setClassBody

    void setClassBody(java.lang.String value)

  Sets the value of the '`Class Body`' attribute.

  Parameters:
    `value` - the new value of the 'Class Body' attribute.
  See Also:
    `getClassBody()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.